#noinspection NonAsciiCharacters we_use_ut8_file_encoding_specified_in_maven_pom
Feature: Evaluate Passports (2021-06-01T16:30:00)

  Background:
    Given the following variables:
      | name                       | value               | keep time |
      | VacGyldigStartEnkel        | P14D                | true      |
      | VacGyldigStartMultiFærdig  | P0D                 | true      |
      | VacGyldigSlutFærdig        | P12M                | true      |
      | VacSuspFærdig              | P14D                | true      |
      | VacGyldigStartMultiBegyndt | P14D                | true      |
      | VacGyldigSlutMultiBegyndt  | P42D                | true      |
      | VacSuspMultiBegyndt        | P14D                | true      |
      | VacOffset                  | PT1M                | true      |
      | TestGyldigStart            | P0D                 | true      |
      | TestGyldigSlutPcr          | PT96H               | true      |
      | TestGyldigSlutAg           | PT72H               | true      |
      | SmallTestOffset            | PT1M                | true      |
      | LargeTestOffset            | PT1H                | true      |
      #TODO TestSusp not tested
      | TestSusp                   | P14D                | true      |
      | ImmunitetGyldigStart       | P14D                | true      |
      | ImmunitetGyldigSlut        | P180D               | true      |
      | ImmunitetOffset            | PT1M                | true      |
      | SygdomsForløbLængde        | P84D                | true      |
      | DD                         | 2021-05-15T14:00:00 |           |

  Scenario Outline: <test_case_id> <test_case_title>
    Given the user is <vaccination_status> with a <vaccination_schedule_type>
    And the vaccination date is <vaccination_completed> and the user has <additional_vaccinations> additional vaccinations after that date
    And the user has a <pcr_result> pcr test taken <pcr_completed>
    And the user has a <antigen_result> antigen test taken <antigen_completed>
    When the passport is evaluated
    Then the vaccination passport is <vaccination_passport_status> with the expiration <vaccination_passport_expiration> and rejection reason <vaccination_passport_rejection_reason>
    And the test passport is <test_passport_status> with the expiration <test_passport_expiration> and rejection reason <test_passport_rejection_reason>
    And the recovery passport is <recovery_passport_status> with the expiration <recovery_passport_expiration> and rejection reason <recovery_passport_rejection_reason>

    #TODO CombinedPassportEvaluator not verified (against "Samlet Coronapas")
    Examples:
      | test_case_id | test_case_title                                                                            | vaccination_status   | additional_vaccinations | vaccination_schedule_type | vaccination_completed                       | pcr_result | pcr_completed                               | antigen_result | antigen_completed                                        | vaccination_passport_status | vaccination_passport_expiration                                  | vaccination_passport_rejection_reason                                                  | test_passport_status | test_passport_expiration                                    | test_passport_rejection_reason               | recovery_passport_status | recovery_passport_expiration                                      | recovery_passport_rejection_reason               | Samlet Coronapas | Ændring af PASGyldighed                                               | CoronaPas afvisningsårsag i log                                                        |
      | 1.1 (CR-194) | Vaccineret multi-dose + negativ PCR før negativ AG (giver længst mulig pas via PCR testen) | vaccinated           | 1                       | multi-dose                | DD - VacGyldigStartMultiFærdig              | Negativ    | DD - TestGyldigSlutPcr + LargeTestOffset    | Negativ        | DD - TestGyldigSlutAg + SmallTestOffset                  | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig             |                                                                                        | gyldig               | DD + LargeTestOffset                                        |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 1.2 (CR-246) | Vaccineret multi-dose + negativ PCR før negativ AG (giver længst mulig pas via AG testen)  | vaccinated           | 2                       | multi-dose                | DD - VacGyldigStartMultiFærdig              | Negativ    | DD - TestGyldigSlutPcr + SmallTestOffset    | Negativ        | DD - TestGyldigSlutAg + LargeTestOffset                  | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig             |                                                                                        | gyldig               | DD + LargeTestOffset                                        |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 2.1          | Vaccineret multi-dose + positiv AG før negativ PCR                                         | vaccinated           |                         | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  | Negativ    | DD - TestGyldigStart - SmallTestOffset      | Positiv        | DD - TestGyldigStart - SmallTestOffset - SmallTestOffset | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset |                                                                                        | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - (2xVacOffset)  |                                                                                        |
      | 2.2          | Vaccineret multi-dose + positiv AG efter negativ PCR                                       | vaccinated           | 1                       | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  | Negativ    | DD - TestGyldigStart - LargeTestOffset      | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 4.1          | Vaccineret multi-dose + negativ PCR                                                        | vaccinated           | 3                       | multi-dose                | DD - VacGyldigStartMultiFærdig              | Negativ    | DD - TestGyldigStart                        |                |                                                          | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig             |                                                                                        | gyldig               | DD - TestGyldigStart + TestGyldigSlutPcr                    |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 5.1          | Vaccineret multi-dose + negativ AG før positiv PCR                                         | vaccinated           | 2                       | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  | Positiv    | DD - TestGyldigStart - SmallTestOffset      | Negativ        | DD - TestGyldigStart - LargeTestOffset                   | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 5.2          | Vaccineret multi-dose + negativ AG efter positiv PCR                                       | vaccinated           |                         | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  | Positiv    | DD - TestGyldigStart - LargeTestOffset      | Negativ        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | positive pcr result within suspension period | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 6.1          | Vaccineret multi-dose + positiv AG før positiv PCR                                         | vaccinated           |                         | multi-dose                | DD - VacGyldigSlutFærdig + VacOffset        | Positiv    | DD - TestGyldigSlutPcr + LargeTestOffset    | Positiv        | DD - TestGyldigSlutAg + SmallTestOffset                  | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 6.2          | Vaccineret multi-dose + positiv AG efter positiv PCR                                       | vaccinated           | 1                       | multi-dose                | DD - VacGyldigSlutFærdig + VacOffset        | Positiv    | DD - TestGyldigSlutPcr + SmallTestOffset    | Positiv        | DD - TestGyldigSlutAg + LargeTestOffset                  | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 8.1          | Vaccineret multi-dose + positiv PCR                                                        | vaccinated           |                         | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  | Positiv    | DD - TestGyldigStart - SmallTestOffset      |                |                                                          | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 13.1         | Vaccineret multi-dose + negativ Antigen                                                    | vaccinated           | 2                       | multi-dose                | DD - VacGyldigStartMultiFærdig              |            |                                             | Negativ        | DD - TestGyldigStart                                     | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig             |                                                                                        | gyldig               | DD - TestGyldigStart + TestGyldigSlutAg                     |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 14.1         | Vaccineret multi-dose + positiv Antigen                                                    | vaccinated           |                         | multi-dose                | DD - VacGyldigStartMultiFærdig - VacOffset  |            |                                             | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 16.1         | Vaccineret multi-dose                                                                      | vaccinated           | 1                       | multi-dose                | DD - VacGyldigStartMultiFærdig              |            |                                             |                |                                                          | gyldig                      | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig             |                                                                                        | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 1.1.2        | Vaccineret single-dose + negativ PCR før negativ AG                                        | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel                    | Negativ    | DD - TestGyldigStart - SmallTestOffset      | Negativ        | DD - TestGyldigStart                                     | gyldig                      | DD - VacGyldigStartEnkel + VacGyldigSlutFærdig                   |                                                                                        | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 2.1.2        | Vaccineret single-dose + positiv AG før negativ PCR                                        | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Negativ    | DD - TestGyldigStart - SmallTestOffset      | Positiv        | DD - TestGyldigStart - SmallTestOffset - SmallTestOffset | gyldig                      | DD - VacGyldigStartEnkel + VacGyldigSlutFærdig - VacOffset       |                                                                                        | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - (2xVacOffset)  |                                                                                        |
      | 2.2.2        | Vaccineret single-dose + positiv AG efter negativ PCR                                      | vaccinated           | 1                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Negativ    | DD - TestGyldigStart - LargeTestOffset      | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 4.1.2        | Vaccineret single-dose + negativ PCR                                                       | vaccinated           | 2                       | single-dose               | DD - VacGyldigStartEnkel                    | Negativ    | DD - TestGyldigStart                        |                |                                                          | gyldig                      | DD - VacGyldigStartEnkel + VacGyldigSlutFærdig                   |                                                                                        | gyldig               | DD - TestGyldigStart + TestGyldigSlutPcr                    |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 5.1.2        | Vaccineret single-dose + negativ AG før positiv PCR                                        | vaccinated           | 3                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Positiv    | DD - TestGyldigStart - SmallTestOffset      | Negativ        | DD - TestGyldigStart - LargeTestOffset                   | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 5.2.2        | Vaccineret single-dose + negativ AG efter positiv PCR                                      | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Positiv    | DD - TestGyldigStart - LargeTestOffset      | Negativ        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | positive pcr result within suspension period | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 6.1.2        | Vaccineret single-dose + positiv AG før positiv PCR                                        | vaccinated           |                         | single-dose               | DD - VacGyldigSlutFærdig + VacOffset        | Positiv    | DD - TestGyldigSlutPcr + LargeTestOffset    | Positiv        | DD - TestGyldigSlutAg + SmallTestOffset                  | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 6.2.2        | Vaccineret single-dose + positiv AG efter positiv PCR                                      | vaccinated           | 2                       | single-dose               | DD - VacGyldigSlutFærdig + VacOffset        | Positiv    | DD - TestGyldigSlutPcr + SmallTestOffset    | Positiv        | DD - TestGyldigSlutAg + LargeTestOffset                  | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 8.1.2        | Vaccineret single-dose + positiv PCR                                                       | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Positiv    | DD - TestGyldigStart - SmallTestOffset      |                |                                                          | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | positive pcr result within suspension period                                           |
      | 13.1.2       | Vaccineret single-dose + negativ Antigen                                                   | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel                    |            |                                             | Negativ        | DD - TestGyldigStart                                     | gyldig                      | DD - VacGyldigStartEnkel + VacGyldigSlutFærdig                   |                                                                                        | gyldig               | DD - TestGyldigStart + TestGyldigSlutAg                     |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 14.1.2       | Vaccineret single-dose + positiv Antigen                                                   | vaccinated           | 1                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        |            |                                             | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | postive antigen result within suspension period without subsequent negative pcr result |
      | 16.1.2       | Vaccineret single-dose                                                                     | vaccinated           | 1                       | single-dose               | DD - VacGyldigStartEnkel                    |            |                                             |                |                                                          | gyldig                      | DD - VacGyldigStartEnkel + VacGyldigSlutFærdig                   |                                                                                        | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - VacGyldigStartMultiFærdig + VacGyldigSlutFærdig - VacOffset      |                                                                                        |
      | 17.1         | Ikke vaccineret + negativ PCR før negativ AG                                               | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigStart - SmallTestOffset      | Negativ        | DD - TestGyldigStart - LargeTestOffset                   | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + TestGyldigSlutx - SmallTestOffset                                |                                                                                        |
      | 17.1.1       | Ikke vaccineret + negativ AG før negativ PCR                                               | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigStart - SmallTestOffset      | Negativ        | DD - TestGyldigStart - LargeTestOffset                   | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + TestGyldigSlutx - SmallTestOffset                                |                                                                                        |
      | 18.1         | Ikke vaccineret + positiv AG før negativ PCR                                               | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigSlutAg + LargeTestOffset     | Positiv        | DD - TestGyldigSlutAg + SmallTestOffset                  | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | gyldig               | DD - TestGyldigSlutAg + LargeTestOffset + TestGyldigSlutPcr |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + (2xOffset)                                                       |                                                                                        |
      | 18.2         | Ikke vaccineret + positiv AG efter negativ PCR                                             | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigSlutPcr + SmallTestOffset    | Positiv        | DD - TestGyldigSlutAg + LargeTestOffset                  | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | Positive Antigen test                                                                  |
      | 20.1         | Ikke vaccineret + negativ PCR                                                              | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigStart - SmallTestOffset      |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | gyldig               | DD - TestGyldigStart + TestGyldigSlutPcr - SmallTestOffset  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + TestGyldigSlutx - (2xSmallTestOffset)                            |                                                                                        |
      | 21.1         | Ikke vaccineret + negativ AG før positiv PCR                                               | not vaccinated       |                         |                           |                                             | Positiv    | DD - TestGyldigSlutAg + LargeTestOffset     | Negativ        | DD - TestGyldigSlutAg + SmallTestOffset                  | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | most recent result is positive                                                         |
      | 21.2         | Ikke vaccineret + negativ AG efter positiv PCR                                             | not vaccinated       |                         |                           |                                             | Positiv    | DD - TestGyldigSlutPcr + SmallTestOffset    | Negativ        | DD - TestGyldigSlutAg + LargeTestOffset                  | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | positive pcr result within suspension period | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | most recent result is positive                                                         |
      | 22.1         | Ikke vaccineret + positiv AG før positiv PCR                                               | not vaccinated       |                         |                           |                                             | Positiv    | DD - TestGyldigStart                        | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | most recent result is positive                                                         |
      | 22.2         | Ikke vaccineret + positiv AG efter positiv PCR                                             | not vaccinated       |                         |                           |                                             | Positiv    | DD - TestGyldigStart - SmallTestOffset      | Positiv        | DD - TestGyldigStart                                     | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | Positive Antigen test                                                                  |
      | 24.1         | Ikke vaccineret + positiv PCR                                                              | not vaccinated       |                         |                           |                                             | Positiv    | DD - TestGyldigSlutPcr + SmallTestOffset    |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | most recent result is positive                                                         |
      | 29.1         | Ikke vaccineret + negativ Antigen                                                          | not vaccinated       |                         |                           |                                             |            |                                             | Negativ        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | gyldig               | DD - TestGyldigStart + TestGyldigSlutAg - SmallTestOffset   |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + TestGyldigSlutx - (2xSmallTestOffset)                            |                                                                                        |
      | 30.1         | Ikke vaccineret + positiv Antigen                                                          | not vaccinated       |                         |                           |                                             |            |                                             | Positiv        | DD - TestGyldigStart - SmallTestOffset                   | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | Positive Antigen test                                                                  |
      | 32.1         | Ikke vaccineret + ingen tests                                                              | not vaccinated       |                         |                           |                                             |            |                                             |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 33.1.1       | Flerdosis vaccine lige udløbet + ingen tests                                               | vaccinated           | 1                       | multi-dose                | DD - VacGyldigSlutFærdig                    |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | vaccination expired                                                                    |
      | 33.1.2       | Enkeltdosis vaccine lige udløbet + ingen tests                                             | vaccinated           |                         | single-dose               | DD - VacGyldigSlutFærdig                    |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | vaccination expired                                                                    |
      | 33.2.1       | Flerdosis vaccine udløbet + ingen tests                                                    | vaccinated           | 2                       | multi-dose                | DD - VacGyldigSlutFærdig - VacOffset        |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | vaccination expired                                                                    |
      | 33.2.2       | Enkeltdosis vaccine udløbet + ingen tests                                                  | vaccinated           |                         | single-dose               | DD - VacGyldigSlutFærdig - VacOffset        |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | vaccination expired                                                                    |
      | 33.3.1       | Enkeltdosis vaccine minimumsperiode + ingen tests                                          | vaccinated           | 1                       | single-dose               | DD                                          |            |                                             |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | minimum duration not passed                                                            |
      | 33.4         | Enkeltdosis vaccine minimumsperiode +  tests                                               | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel + VacOffset        |            |                                             |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | minimum duration not passed                                                            |
      | 34.1.1       | Ikke vaccineret + PCR lige udløbet                                                         | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigSlutPcr                      |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | PCT test expired                                                                       |
      | 34.1.2       | Ikke vaccineret + PCR udløbet                                                              | not vaccinated       |                         |                           |                                             | Negativ    | DD - TestGyldigSlutPcr - SmallTestOffset    |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | PCT test expired                                                                       |
      | 35.1.1       | Ikke vaccineret + AG lige udløbet                                                          | not vaccinated       |                         |                           |                                             |            |                                             | Negativ        | DD - TestGyldigSlutAg                                    | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | AG test expired                                                                        |
      | 35.1.2       | Ikke vaccineret + AG udløbet                                                               | not vaccinated       |                         |                           |                                             |            |                                             | Negativ        | DD - TestGyldigSlutAg - SmallTestOffset                  | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | AG test expired                                                                        |
      | 36.1.1       | Ikke vaccineret + positiv antigen test (giver ikke immunitet)                              | not vaccinated       |                         |                           |                                             |            |                                             | Positiv        | DD - ImmunitetGyldigStart - SmallTestOffset              | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       | minimum period after positive pcr has not passed                                       |
      | 38.5.1       | Ikke vaccineret + Kun PCR starter immunitet                                                | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigStart                   | Positiv        | DD - ImmunitetGyldigStart - ImmunitetOffset              | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | Gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                                  | TRUE             |                                                                       |                                                                                        |
      | 36.1.1       | Ikke vaccineret + positiv pcr test (immunitet ikke begyndt)                                | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigStart + SmallTestOffset |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | minimum period after positive pcr has not passed                                       |
      | 36.1.2       | Ikke vaccineret + positiv pcr test (immunitet ikke begyndt)                                | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigStart + ImmunitetOffset |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       | minimum period after positive pcr has not passed                                       |
      | 36.4         | Ikke vaccineret + positiv pcr test (immunitet lige udløbet)                                | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigSlut                    |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | maximum period after positive pcr has passed     | FALSE            |                                                                       | Immunitet udløbet                                                                      |
      | 36.5         | Ikke vaccineret + positiv pcr test (immunitet udløbet)                                     | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigSlut - ImmunitetOffset  |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | maximum period after positive pcr has passed     | FALSE            |                                                                       | Immunitet udløbet                                                                      |
      | 37.1         | Ikke vaccineret + positiv pcr test (immunitet lige begyndt)                                | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigStart                   |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                                  | TRUE             | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut - ImmunitetOffset     |                                                                                        |
      | 37.2         | Ikke vaccineret + positiv pcr test (immunitet begyndt)                                     | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigStart - ImmunitetOffset |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut - ImmunitetOffset |                                                  | TRUE             | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut - (2xImmunitetOffset) |                                                                                        |
      | 37.3         | Ikke vaccineret + positiv pcr test (immunitet næsten udløbet)                              | not vaccinated       |                         |                           |                                             | Positiv    | DD - ImmunitetGyldigSlut + ImmunitetOffset  |                |                                                          | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | gyldig                   | DD + ImmunitetOffset                                              |                                                  | TRUE             | DD + ImmunitetOffset                                                  |                                                                                        |
      | 37.5         | Ikke vaccineret + positiv ag test (ikke immun)                                             | not vaccinated       |                         |                           |                                             |            |                                             | Positiv        | DD - ImmunitetGyldigStart - ImmunitetOffset              | ugyldig                     |                                                                  | no effectuated vaccinations                                                            | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut - ImmunitetOffset     |                                                                                        |
      | 100.1        | Første vaccine af flere hvor carensperioden er passeret                                    | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt             |            |                                             |                |                                                          | gyldig                      | DD - VacGyldigStartMultiBegyndt + VacGyldigSlutMultiBegyndt      |                                                                                        | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |
      | 100.2        | Første vaccine af flere hvor carensperioden ikke er passeret                               | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt + VacOffset |            |                                             |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 100.3        | Første vaccine af flere hvor maksimal perioden er passeret                                 | partially vaccinated |                         | multi-dose                | DD - VacGyldigSlutMultiBegyndt - VacOffset  |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 100.4        | Første vaccine af flere med suspenderende positiv pcr test                                 | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt - VacOffset | Positiv    | DD - VacSuspMultiBegyndt + VacOffset        |                |                                                          | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       |                                                                                        |
      | 100.5        | Første vaccine af flere uden suspenderende positiv pcr test                                | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt - VacOffset | Positiv    | DD - VacSuspMultiBegyndt - VacOffset        |                |                                                          | gyldig                      | DD - VacSuspMultiBegyndt - VacOffset + VacGyldigSlutMultiBegyndt |                                                                                        | ugyldig              |                                                             | most recent result is positive               | gyldig                   | DD - VacSuspMultiBegyndt - VacOffset + ImmunitetGyldigSlut        |                                                  | TRUE             |                                                                       |                                                                                        |
      | 100.6        | Første vaccine af flere med suspenderende positiv antigen test                             | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt - VacOffset |            |                                             | Positiv        | DD - VacSuspMultiBegyndt + VacOffset                     | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 100.7        | Første vaccine af flere uden suspenderende positiv antigen test                            | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt - VacOffset |            |                                             | Positiv        | DD - VacSuspMultiBegyndt - VacOffset                     | gyldig                      | DD - VacSuspMultiBegyndt - VacOffset + VacGyldigSlutMultiBegyndt |                                                                                        | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |
      | 100.8        | Første vaccine af flere med suspenderende positiv antigen test ophævet af negativ pcr test | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt - VacOffset | Negativ    | DD - VacSuspMultiBegyndt + LargeTestOffset  | Positiv        | DD - VacSuspMultiBegyndt + SmallTestOffset               | gyldig                      | DD - VacSuspMultiBegyndt - VacOffset + VacGyldigSlutMultiBegyndt |                                                                                        | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |
      | 100.9        | Første vaccine af flere hvor carensperioden ikke er passeret + negativ PCR udløbet         | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt + VacOffset | Negativ    | DD - TestGyldigSlutPcr - SmallTestOffset    |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 100.10       | Første vaccine af flere hvor carensperioden ikke er passeret + negativ PCR                 | partially vaccinated |                         | multi-dose                | DD - VacGyldigStartMultiBegyndt + VacOffset | Negativ    | DD - TestGyldigStart - SmallTestOffset      |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | gyldig               | DD - TestGyldigStart - SmallTestOffset + TestGyldigSlutPcr  |                                              | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             | DD + TestGyldigSlut_ - SmallTestOffset                                |                                                                                        |
      | 101.1        | Enkeltdosis vaccine hvor carensperioden er passeret + ingen tests                          | vaccinated           | 1                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        |            |                                             |                |                                                          | gyldig                      | DD - VacGyldigStartEnkel - VacOffset + VacGyldigSlutFærdig       |                                                                                        | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |
      | 101.2        | Enkeltdosis vaccine hvor carensperioden ikke er passeret + ingen tests                     | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel + VacOffset        |            |                                             |                |                                                          | ugyldig                     |                                                                  | minimum duration not passed                                                            | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 101.3        | Enkeltdosis vaccine hvor maksimal perioden er passeret + ingen tests                       | vaccinated           |                         | single-dose               | DD - VacGyldigSlutFærdig - VacOffset        |            |                                             |                |                                                          | ugyldig                     |                                                                  | vaccination expired                                                                    | ugyldig              |                                                             | no negative test results                     | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 101.4        | Enkeltdosis vaccine med suspenderende positiv pcr test                                     | vaccinated           | 2                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Positiv    | DD - VacSuspFærdig + SmallTestOffset        |                |                                                          | ugyldig                     |                                                                  | positive pcr result within suspension period                                           | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | minimum period after positive pcr has not passed | FALSE            |                                                                       |                                                                                        |
      | 101.5        | Enkeltdosis vaccine uden suspenderende positiv pcr test                                    | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Positiv    | DD - VacSuspFærdig - SmallTestOffset        |                |                                                          | gyldig                      | DD - VacSuspFærdig - SmallTestOffset + VacGyldigSlutFærdig       |                                                                                        | ugyldig              |                                                             | most recent result is positive               | gyldig                   | DD - VacSuspFærdig - SmallTestOffset + ImmunitetGyldigSlut        |                                                  | TRUE             |                                                                       |                                                                                        |
      | 101.6        | Enkeltdosis vaccine med suspenderende positiv antigen test                                 | vaccinated           | 3                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        |            |                                             | Positiv        | DD - VacSuspFærdig + SmallTestOffset                     | ugyldig                     |                                                                  | postive antigen result within suspension period without subsequent negative pcr result | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | FALSE            |                                                                       |                                                                                        |
      | 101.7        | Enkeltdosis vaccine uden suspenderende positiv antigen test                                | vaccinated           |                         | single-dose               | DD - VacGyldigStartEnkel - VacOffset        |            |                                             | Positiv        | DD - VacSuspFærdig - SmallTestOffset                     | gyldig                      | DD - VacSuspFærdig - SmallTestOffset + VacGyldigSlutFærdig       |                                                                                        | ugyldig              |                                                             | most recent result is positive               | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |
      | 101.8        | Enkeltdosis vaccine med suspenderende positiv antigen test ophævet af negativ pcr test     | vaccinated           | 1                       | single-dose               | DD - VacGyldigStartEnkel - VacOffset        | Negativ    | DD - VacSuspFærdig + LargeTestOffset        | Positiv        | DD - VacSuspFærdig + SmallTestOffset                     | gyldig                      | DD - VacSuspFærdig - SmallTestOffset + VacGyldigSlutFærdig       |                                                                                        | ugyldig              |                                                             | negative test expired                        | ugyldig                  |                                                                   | No positive pcr results                          | TRUE             |                                                                       |                                                                                        |

  Scenario Outline: <test_case_id> <test_case_title>
    Given the user is <vaccination_status> with a <vaccination_schedule_type>
    And the vaccination date is <vaccination_completed> and the user has <additional_vaccinations> additional vaccinations after that date
    And the user has a <pcr_result_1> pcr test taken <pcr_completed_1>
    And the user has a <pcr_result_2> pcr test taken <pcr_completed_2>
    And the user has a <antigen_result_1> antigen test taken <antigen_completed_1>
    And the user has a <antigen_result_2> antigen test taken <antigen_completed_2>
    When the passport is evaluated
    Then the vaccination passport is <vaccination_passport_status> with the expiration <vaccination_passport_expiration> and rejection reason <vaccination_passport_rejection_reason>
    And the test passport is <test_passport_status> with the expiration <test_passport_expiration> and rejection reason <test_passport_rejection_reason>
    And the recovery passport is <recovery_passport_status> with the expiration <recovery_passport_expiration> and rejection reason <recovery_passport_rejection_reason>

    Examples:
      | Thor | Type | TDT | test_case_id | test_case_title                                                     | vaccination_status | additional_vaccinations | vaccination_schedule_type | vaccination_completed                      | PCR Testnr | pcr_result_1 | pcr_completed_1                                 | PCR Testnr2 | pcr_result_2 | pcr_completed_2                                                   | Antigen Testnr | antigen_result_1 | antigen_completed_1                                               | antigen_result_2 | antigen_completed_2                                                                 | vaccination_passport_status | vaccination_passport_expiration | vaccination_passport_rejection_reason | test_passport_status | test_passport_expiration | test_passport_rejection_reason | recovery_passport_status | recovery_passport_expiration                                          | recovery_passport_rejection_reason                   | Samlet Coronapas | Ændring af PASGyldighed                                         | CoronaPas afvisningsårsag i log              |
      | C3   | Test | GVA | 38.1         | Positiv PCR under immunitet OK                                      | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart                       | 1           | Positiv      | DD - ImmunitetGyldigStart + LargeTestOffset                       | 0              |                  |                                                                   |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                       |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-ImmunitetOffset     |                                              |
      | C3   | Test | GVA | 38.2         | Positiv PCR under immunitet OK                                      | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart                       | 1           | Positiv      | DD - ImmunitetGyldigStart + SygdomsForløbLængde - SmallTestOffset | 0              |                  |                                                                   |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                       |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-(2xImmunitetOffset) |                                              |
      | C3   | Test | GVA | 38.3         | Positiv PCR og Antigen under immunitet OK                           | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart                       | 1           | Positiv      | DD - ImmunitetGyldigStart + SmallTestOffset                       | 0              | Positiv          | DD - ImmunitetGyldigStart + LargeTestOffset                       | Positiv          | DD - ImmunitetGyldigStart + SygdomsForløbLængde - SmallTestOffset                   | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                       |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-ImmunitetOffset     |                                              |
      | C2   | Test | GVA | 39.1         | Positiv PCR under immunitet ikke OK                                 | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart                       | 1           | Positiv      | DD - ImmunitetGyldigStart + SygdomsForløbLængde + SmallTestOffset | 0              |                  |                                                                   |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | ugyldig                  |                                                                       | minimum period after positive pcr has not passed     | FALSE            | NULL                                                            | Immunitet suspenderet                        |
      | C2   | Test | GVA | 39.2         | Positiv PCR under immunitet ikke OK                                 | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart + ImmunitetOffset     | 1           | Positiv      | DD - ImmunitetGyldigStart + ImmunitetOffset + SygdomsForløbLængde | 0              |                  |                                                                   |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | ugyldig                  |                                                                       | minimum period after positive pcr has not passed     | FALSE            | NULL                                                            | Immunitet suspenderet                        |
      | C3   | Test | GVA | 40.1         | Positiv Antigen under immunitet OK                                  | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - LargeTestOffset     | 0           |              |                                                                   | 1              | Positiv          | DD - ImmunitetGyldigStart                                         | Positiv          | DD - ImmunitetGyldigStart - LargeTestOffset + SygdomsForløbLængde - SmallTestOffset | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart - LargeTestOffset + ImmunitetGyldigSlut     |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-ImmunitetOffset     |                                              |
      | C3   | Test | GVA | 40.2         | Positiv Antigen under immunitet OK                                  | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - ImmunitetOffset     | 0           |              |                                                                   | 1              | Positiv          | DD - ImmunitetGyldigStart + ImmunitetGyldigStart                  |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart - ImmunitetOffset + ImmunitetGyldigSlut     |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-(2xImmunitetOffset) |                                              |
      | C3   | Test | GVA | 40.3         | Positiv Antigen under immunitet OK                                  | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - SygdomsForløbLængde | 0           |              |                                                                   | 1              | Positiv          | DD - ImmunitetGyldigStart - SygdomsForløbLængde + ImmunitetOffset |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | gyldig                   | DD - ImmunitetGyldigStart - SygdomsForløbLængde + ImmunitetGyldigSlut |                                                      | TRUE             | DD-ImmunitetGyldigStart+ImmunitetGyldigSlut-ImmunitetOffset     |                                              |
      | C2   | Test | GVA | 41.1         | Positiv Antigen under immunitet ikke OK                             | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - SygdomsForløbLængde | 0           |              |                                                                   | 1              | Positiv          | DD - ImmunitetGyldigStart + ImmunitetOffset                       |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | ugyldig                  |                                                                       | No negative pcr result after positive antigen result | FALSE            | NULL                                                            | Immunitet suspenderet                        |
      | C2   | Test | GVA | 41.2         | Positiv Antigen under immunitet ikke OK                             | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - ImmunitetOffset     | 0           |              |                                                                   | 1              | Positiv          | DD - ImmunitetGyldigStart - ImmunitetOffset + SygdomsForløbLængde |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | most recent result is positive | ugyldig                  |                                                                       | No negative pcr result after positive antigen result | FALSE            | NULL                                                            | Immunitet suspenderet                        |
      | X1   | Test |     | 43.1         | Ophævelse af AG suspendering                                        | not vaccinated     |                         |                           |                                            | 1          | Positiv      | DD - ImmunitetGyldigStart - ImmunitetOffset     | 1           | Negativ      | DD - ImmunitetGyldigStart + LargeTestOffset                       | 1              | Positiv          | DD - ImmunitetGyldigStart                                         |                  |                                                                                     | ugyldig                     |                                 | no effectuated vaccinations           | ugyldig              |                          | negative test expired          | gyldig                   | DD - ImmunitetGyldigStart - ImmunitetOffset + ImmunitetGyldigSlut     |                                                      | TRUE             | DD+ImmunitetGyldigStart-ImmunitetOffset                         |                                              |
      | X3   | Test |     | 44.1         | Vaccination endnu ikke gyldig + Positiv PCR under immunitet ikke OK | vaccinated         |                         | single-dose               | DD - VacGyldigStartEnkel + LargeTestOffset | 1          | Positiv      | DD - ImmunitetGyldigStart                       | 1           | Positiv      | DD - ImmunitetGyldigStart + SygdomsForløbLængde + SmallTestOffset | 0              |                  |                                                                   |                  |                                                                                     | ugyldig                     |                                 | minimum duration not passed           | ugyldig              |                          | most recent result is positive | ugyldig                  |                                                                       | minimum period after positive pcr has not passed     | FALSE            | NULL                                                            | positive pcr result within suspension period |
