/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.dao.impl.jdbc;

import dk.sundhedsdatastyrelsen.cbs.dao.ChildRelation;
import org.springframework.lang.NonNull;

public class ChildRelationImpl  implements ChildRelation {

    public static final String PERSON_IDENTIFIER_COLUMN_LABEL = "PERSON_IDENTIFIER";
    public static final String CHILD_IDENTIFIER_COLUMN_LABEL = "CHILD_IDENTIFIER";

    private String personIdentifier;
    private String childIdentifier;

    @Override
    @NonNull
    public String personIdentifier() {
        return personIdentifier;
    }

    @Override
    @NonNull
    public String childIdentifier() {
        return childIdentifier;
    }

    @NonNull
    public ChildRelationImpl personIdentifier(@NonNull final String personIdentifier) {
        this.personIdentifier = personIdentifier;
        return this;
    }

    @NonNull
    public ChildRelationImpl childIdentifier(@NonNull final String childIdentifier) {
        this.childIdentifier = childIdentifier;
        return this;
    }

    public void setPersonIdentifier(@NonNull final String personIdentifier) {
        this.personIdentifier = personIdentifier;
    }

    public void setChildIdentifier(@NonNull final String childIdentifier) {
        this.childIdentifier = childIdentifier;
    }
}
