/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.dao.impl.jdbc;

import dk.sundhedsdatastyrelsen.cbs.dao.NasSubscription;
import org.springframework.lang.NonNull;

public class NasSubscriptionImpl implements NasSubscription {

    @NonNull
    static final String TOPIC_COLUMN_LABEL = "TOPIC";
    @NonNull
    static final String PULL_POINT_COLUMN_LABEL = "PULL_POINT";
    @NonNull
    static final String SUBSCRIPTION_COLUMN_LABEL = "SUBSCRIPTION";

    private String topic;

    private String pullPoint;
    private String subscription;

    @Override
    @NonNull
    public String topic() {
        return topic;
    }

    @Override
    @NonNull
    public String pullPoint() {
        return pullPoint;
    }

    @Override
    @NonNull
    public String subscription() {
        return subscription;
    }

    @NonNull
    public NasSubscriptionImpl topic(@NonNull final String topic) {
        this.topic = topic;
        return this;
    }

    @NonNull
    public NasSubscriptionImpl pullPoint(@NonNull final String pullPoint) {
        this.pullPoint = pullPoint;
        return this;
    }

    @NonNull
    public NasSubscriptionImpl subscription(@NonNull final String subscription) {
        this.subscription = subscription;
        return this;
    }

    public void setSubscription(@NonNull final String subscription) {
        this.subscription = subscription;
    }

    public void setTopic(@NonNull final String topic) {
        this.topic = topic;
    }

    public void setPullPoint(@NonNull final String pullPoint) {
        this.pullPoint = pullPoint;
    }
}
