/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.dao.impl.jdbc;

import dk.sundhedsdatastyrelsen.cbs.dao.PersonRecord;
import org.springframework.lang.NonNull;

public class PersonRecordImpl implements PersonRecord {

    public static final String PERSON_IDENTIFIER_COLUMN_LABEL = "PERSON_IDENTIFIER";
    public static final String GIVEN_NAME_COLUMN_LABEL = "GIVENNAME";
    public static final String FAMILY_NAME_COLUMN_LABEL = "FAMILYNAME";

    private String personIdentifier;

    private String givenName;
    private String familyName;


    @Override
    @NonNull
    public String personIdentifier() {
        return personIdentifier;
    }

    @NonNull
    public PersonRecordImpl personIdentifier(@NonNull final String personIdentifier) {
        this.personIdentifier = personIdentifier;
        return this;
    }

    @Override
    @NonNull
    public String givenName() {
        return givenName;
    }

    @NonNull
    public PersonRecordImpl givenName(@NonNull final String giveName) {
        this.givenName = giveName;
        return this;
    }

    @Override
    @NonNull
    public String familyName() {
        return familyName;
    }

    @NonNull
    public PersonRecordImpl familyName(@NonNull final String familyName) {
        this.familyName = familyName;
        return this;
    }
}
