#noinspection NonAsciiCharacters we_use_ut8_file_encoding_specified_in_maven_pom
Feature: Evaluate Passports (2021-06-09T16:30:00)

  Background:
    Given This is a EU passport evaluation
    And the following variables:
      | name                 | value               | keep time |
      | SmallOffset          | PT1M                | true      |
      | ImmunitetGyldigStart | P11D                | true      |
      | ImmunitetGyldigSlut  | P180D               | true      |
      | ImmunitetOffset      | P30D                | true      |
      | DD                   | 2021-05-15T14:00:00 |           |

  Scenario Outline: <test_case_id> <test_case_title>
    Given the user has a <pcr_result> pcr test taken <pcr_completed>
    And the user has a <antigen_result> antigen test taken <antigen_completed>
    When the passport is evaluated
    And the recovery passport is <recovery_passport_status> with the expiration <recovery_passport_expiration> and rejection reason <recovery_passport_rejection_reason>

    Examples:
      | test_case_id | test_case_title                             | pcr_result | pcr_completed                               | antigen_result | antigen_completed                           | recovery_passport_status | recovery_passport_expiration                                      | recovery_passport_rejection_reason               |
      | 34.1.1       | Negativ PCR                                 | Negativ    | DD - ImmunitetGyldigStart                   |                |                                             | ugyldig                  |                                                                   | No positive pcr results                          |
      | 35.1.1       | Negativ AG                                  |            |                                             | Negativ        | DD - ImmunitetGyldigStart                   | ugyldig                  |                                                                   | No positive pcr results                          |
      | 35.1.2       | Positiv AG                                  |            |                                             | Positiv        | DD - ImmunitetGyldigStart                   | ugyldig                  |                                                                   | No positive pcr results                          |
      | 36.1.1       | positiv antigen test (giver ikke immunitet) |            |                                             | Positiv        | DD - ImmunitetGyldigStart - SmallOffset     | ugyldig                  |                                                                   | No positive pcr results                          |
      | 38.5.1       | Kun PCR starter immunitet                   | Positiv    | DD - ImmunitetGyldigStart                   | Positiv        | DD - ImmunitetGyldigStart - ImmunitetOffset | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                                  |
      | 36.1.1       | positiv pcr test (immunitet ikke begyndt)   | Positiv    | DD - ImmunitetGyldigStart + SmallOffset     |                |                                             | ugyldig                  |                                                                   | minimum period after positive pcr has not passed |
      | 36.1.2       | positiv pcr test (immunitet ikke begyndt)   | Positiv    | DD - ImmunitetGyldigStart + ImmunitetOffset |                |                                             | ugyldig                  |                                                                   | minimum period after positive pcr has not passed |
      | 36.4         | positiv pcr test (immunitet lige udløbet)   | Positiv    | DD - ImmunitetGyldigSlut                    |                |                                             | ugyldig                  |                                                                   | maximum period after positive pcr has passed     |
      | 36.5         | positiv pcr test (immunitet udløbet)        | Positiv    | DD - ImmunitetGyldigSlut - ImmunitetOffset  |                |                                             | ugyldig                  |                                                                   | maximum period after positive pcr has passed     |
      | 37.1         | positiv pcr test (immunitet lige begyndt)   | Positiv    | DD - ImmunitetGyldigStart                   |                |                                             | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                                  |
      | 37.2         | positiv pcr test (immunitet begyndt)        | Positiv    | DD - ImmunitetGyldigStart - ImmunitetOffset |                |                                             | gyldig                   | DD - ImmunitetGyldigStart - ImmunitetOffset + ImmunitetGyldigSlut |                                                  |
      | 37.3         | positiv pcr test (immunitet næsten udløbet) | Positiv    | DD - ImmunitetGyldigSlut + ImmunitetOffset  |                |                                             | gyldig                   | DD + ImmunitetOffset                                              |                                                  |
      | 37.5         | positiv ag test (ikke immun)                |            |                                             | Positiv        | DD - ImmunitetGyldigStart - ImmunitetOffset | ugyldig                  |                                                                   | No positive pcr results                          |
      | 37.6         | positiv ag test (ingen suspendering i EU)   | Positiv    | DD - ImmunitetGyldigStart                   | Positiv        | DD - ImmunitetGyldigStart + ImmunitetOffset | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                                  |

  Scenario Outline: <test_case_id> <test_case_title>
    Given the user has a <pcr_result_1> pcr test taken <pcr_completed_1>
    And the user has a <pcr_result_2> pcr test taken <pcr_completed_2>
    And the user has a <antigen_result_1> antigen test taken <antigen_completed_1>
    And the user has a <antigen_result_2> antigen test taken <antigen_completed_2>
    When the passport is evaluated
    And the recovery passport is <recovery_passport_status> with the expiration <recovery_passport_expiration> and rejection reason <recovery_passport_rejection_reason>

    Examples:
      | test_case_id | test_case_title                                              | pcr_result_1 | pcr_completed_1                                               | pcr_result_2 | pcr_completed_2                         | antigen_result_1 | antigen_completed_1                                   | antigen_result_2 | antigen_completed_2                                                          | recovery_passport_status | recovery_passport_expiration                                      | recovery_passport_rejection_reason           |
      | 38.1         | Positiv PCR mindre end 11 dage gammel er OK                  | Positiv      | DD - ImmunitetGyldigStart                                     | Positiv      | DD - ImmunitetGyldigStart + SmallOffset |                  |                                                       |                  |                                                                              | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                              |
      | 38.2         | Positiv PCR mindre end 11 dage gammel er OK                  | Positiv      | DD - ImmunitetGyldigStart                                     | Positiv      | DD - SmallOffset                        |                  |                                                       |                  |                                                                              | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                              |
      | 38.3         | Positiv PCR mindre end 11 dage gammel er OK                  | Positiv      | DD - ImmunitetOffset                                          | Positiv      | DD                                      |                  |                                                       |                  |                                                                              | gyldig                   | DD - ImmunitetOffset + ImmunitetGyldigSlut                        |                                              |
      | 38.4         | Immunitet ud fra nyeste positive PCR mere end 11 dage gammel | Positiv      | DD - ImmunitetGyldigSlut + SmallOffset                        | Positiv      | DD - ImmunitetOffset                    | Positiv          | DD - ImmunitetGyldigSlut + SmallOffset                | Positiv          | DD - ImmunitetGyldigSlut - SmallOffset                                       | gyldig                   | DD - ImmunitetOffset + ImmunitetGyldigSlut                        |                                              |
      | 38.5         | Immunitet ud fra nyeste positive PCR mere end 11 dage gammel | Positiv      | DD - ImmunitetGyldigStart                                     | Positiv      | DD - ImmunitetGyldigStart - SmallOffset | Positiv          | DD - ImmunitetGyldigSlut + SmallOffset                | Positiv          | DD - ImmunitetGyldigSlut - SmallOffset                                       | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                              |
      | 38.6         | Positiv PCR og Antigen under immunitet OK                    | Positiv      | DD - ImmunitetGyldigStart                                     | Positiv      | DD - SmallOffset                        | Positiv          | DD - ImmunitetGyldigStart + SmallOffset + SmallOffset | Positiv          | DD - ImmunitetGyldigStart - SmallOffset + ImmunitetGyldigSlut                | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                              |
      | 39.2         | Udløbet immunitet og positiv PCR (immunitet ikke begyndt)    | Positiv      | DD - ImmunitetGyldigSlut - SmallOffset                        | Positiv      | DD - ImmunitetGyldigStart + SmallOffset |                  |                                                       |                  |                                                                              | ugyldig                  |                                                                   | maximum period after positive pcr has passed |
      | 40.1         | Positiv Antigen under immunitet OK                           | Positiv      | DD - ImmunitetGyldigStart - SmallOffset                       |              |                                         | Positiv          | DD - ImmunitetGyldigStart                             | Positiv          | DD - ImmunitetGyldigStart - SmallOffset + ImmunitetGyldigStart - SmallOffset | gyldig                   | DD - ImmunitetGyldigStart - SmallOffset + ImmunitetGyldigSlut     |                                              |
      | 40.2         | Positiv Antigen under immunitet OK                           | Positiv      | DD - ImmunitetGyldigStart - ImmunitetOffset                   |              |                                         | Positiv          | DD - ImmunitetGyldigStart + ImmunitetGyldigStart      |                  |                                                                              | gyldig                   | DD - ImmunitetGyldigStart - ImmunitetOffset + ImmunitetGyldigSlut |                                              |
      | 40.3         | Positiv Antigen under immunitet OK                           | Positiv      | DD - ImmunitetGyldigSlut + SmallOffset                        |              |                                         | Positiv          | DD - ImmunitetGyldigSlut + ImmunitetOffset            |                  |                                                                              | gyldig                   | DD + SmallOffset                                                  |                                              |
      | 41.2         | positiv PCR efter sygdomsforløb starter ny immunitet         | Positiv      | DD - ImmunitetGyldigSlut - ImmunitetGyldigStart - SmallOffset | Positiv      | DD - ImmunitetGyldigStart               |                  |                                                       |                  |                                                                              | gyldig                   | DD - ImmunitetGyldigStart + ImmunitetGyldigSlut                   |                                              |
      | CR-258       | positiv PCR efter sygdomsforløb starter ny immunitet         | Positiv      | DD - ImmunitetGyldigSlut - P3D                                | Positiv      | DD - ImmunitetGyldigStart - P3D         |                  |                                                       |                  |                                                                              | gyldig                   | DD - ImmunitetGyldigStart - P3D + ImmunitetGyldigSlut             |                                              |
