/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.service;

public final class ErrorMessages {

    // WSDL
    public static final String WSDL_SERVLET_ERROR = "Der opstod en fejl i WSDLServlet";

    // SECURITY
    public static final String NO_SECURITY_TICKET = "No security ticket is present";
    public static final String INVALID_SECURITY_TICKET = "Security ticket is invalid";
    public static final String USER_TYPE_NOT_ALLOWED = "User type not allowed";
    public static final String NOT_AUTHORIZED_CPR_MISMATCH = "Authenticated CPR from IDWS token is not authorized to request CPR specified in request body";
    public static final String INVALID_AUDIENCE = "Audience is not valid for this service";
    public static final String MISSING_AUDIENCE = "Audience is missing";
    public static final String ORGANIZATION_NOT_PRESENT = "The provided id card is missing organization information";
    public static final String CLIENT_NOT_PRESENT = "The provided id card is missing client information.";
    public static final String PERSISTENT_KEY_NOT_PRESENT = "The provided id card is missing client unique key.";
    public static final String CLIENT_NOT_WHITELISTED = "The requesting client is not authorized to call this service.";

    // EU Signing
    public static final String NOT_HSC_APPROVED = "Test is not HSC Approved";
    public static final String TEST_IS_EXPIRED = "Test is expired";
    public static final String ENCODING_ERROR = "Failed to encode Digital Covid Certificate.";
    public static final String POSITIVE_RESULT = "Cannot issue covid test certificate for positive test";
    public static final String INVALID_FUTURE_SAMPLING_TIME = "SampleCollected cannot be in the future";

    // GENERAL
    public static final String MISSING_MESSAGE_ID = "MessageId is missing";

    private ErrorMessages() {
    }
}
