/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.service.model;

import org.springframework.lang.Nullable;

import java.util.Set;

public class CoronaPassResult {
    private final boolean cacheHit;
    @Nullable
    private final Set<CoronaPass> coronaPasses;
    @Nullable
    private final String jobId;

    public CoronaPassResult(@Nullable String jobId) {
        this.cacheHit = false;
        this.jobId = jobId;
        this.coronaPasses = null;
    }

    public CoronaPassResult(@Nullable Set<CoronaPass> coronaPasses) {
        this.cacheHit = true;
        this.jobId = null;
        this.coronaPasses = coronaPasses;
    }

    public boolean isCacheHit() {
        return cacheHit;
    }

    @Nullable
    public Set<CoronaPass> getCoronaPasses() {
        return coronaPasses;
    }

    @Nullable
    public String getJobId() {
        return jobId;
    }
}
