CREATE TABLE IF NOT EXISTS AGTI_invitrodiagnosticdevices
(
    PID BIGINT(15) AUTO_INCREMENT NOT NULL PRIMARY KEY,
    idDevice VARCHAR (16),
    commercialName VARCHAR (500),
    idManufacturer VARCHAR (16),
    manufacturerName VARCHAR (500),
    manufacturerCountry VARCHAR (50),
    manufacturerWebsite VARCHAR (500),
    ceMarking BOOLEAN,
    hscCommonList BOOLEAN,
    hscMutualRecognition BOOLEAN,
    formats VARCHAR (500),
    physicalSupports VARCHAR (500),
    targets VARCHAR (500),
    specimens VARCHAR (500),
    pathogens VARCHAR (500),
    lineages VARCHAR (500),
    commercialStatus VARCHAR (50),
    lastUpdated VARCHAR (50),
    idTest VARCHAR (16),
    assayCategory VARCHAR (500),
    rapidDiagnostic BOOLEAN,
    selfTest BOOLEAN,
    readerRequired BOOLEAN,
    method VARCHAR (500),
    measurement VARCHAR (500),
    subclass VARCHAR (500),
    detectionPrinciple VARCHAR (500),
    subcategory VARCHAR (500),
    timeMinutes VARCHAR (50),
    lod VARCHAR (500),
    positiveControl VARCHAR (500),
    negativeControl VARCHAR (500),
    performanceControl VARCHAR (500),
    calibration VARCHAR (500),
    analyticalSensitivity VARCHAR (500),
    analyticalSpecificity VARCHAR (500),
    crossreactivity VARCHAR (500),
    fp VARCHAR (500),
    fn VARCHAR (500),
    precisionX VARCHAR (500),
    accuracy VARCHAR (500),
    reproducibility VARCHAR (500),
    robustness VARCHAR (500),
    clinicalSensitivity VARCHAR (500),
    clinicalSpecificity VARCHAR (500),
    throughput VARCHAR (500),
    typeOfAntigen VARCHAR (500),
    ValidFrom DateTime NOT NULL,
    ValidTo DateTime,
    ModifiedDate DateTime NOT NULL,
    DataSetUUID varchar(40),
    KEY `IdxId` (`idDevice` ASC),
    KEY `currentidx` (`idDevice` ASC, `ValidTo` ASC, `ValidFrom` ASC),
    KEY `krsidx` (`ModifiedDate` ASC, `PID` ASC),
    KEY `validix` (`ValidTo` ASC, `ValidFrom` ASC)
    );

CREATE VIEW AGTI_antigentestregister_cbs_view
AS
SELECT *
FROM AGTI_invitrodiagnosticdevices ag
WHERE hscCommonList = 1;
