-- liquibase formatted sql
-- changeset cdj@trifork.com:test-functions

create or replace function random_string() returns varchar(20)
language sql
begin
    return substr(sha(rand()), 1, 8);
end
//

create or replace procedure assert_equals(in expected longtext, in actual longtext)
language sql
begin
    if  (expected is null and actual is not null) or
        (expected is not null and actual is null) or
        expected <> actual then
        set @message_text = concat(
            'mismatch: expected=''',
            if(expected is null, 'NULL', expected),
            ''' actual=''',
            if(actual is null, 'NULL', actual),
            '''');
        signal sqlstate '45000' set mysql_errno = 40000, message_text = @message_text;
    end if;
end
//

create or replace procedure assert_null(in actual longtext)
language sql
begin
    if actual is not null then
        set @message_text = concat(
            'expected null, was ''',
            actual,
            '''');
        signal sqlstate '45000' set mysql_errno = 40000, message_text = @message_text;
    end if;
end
//
