-- liquibase formatted sql
-- changeset cdj@trifork.com:hotfix-record-views


create or replace view vaccination_view as
select v.cpr,
       v.trace_id,
       v.creation_time,
       v.invalidation_time,
       v.data
from (select non_expired_writes.cpr, max(non_expired_writes.creation_time) max_creation_time
      from vaccination non_expired_writes
        left join vaccination active_invalidations on
          non_expired_writes.cpr = active_invalidations.cpr and
          active_invalidations.data is null and
          active_invalidations.invalidation_time <= current_timestamp and
          active_invalidations.invalidation_time >= non_expired_writes.creation_time
      where non_expired_writes.data is not null
        and (non_expired_writes.invalidation_time > current_timestamp or non_expired_writes.invalidation_time is null)
        and active_invalidations.cpr is null
      group by non_expired_writes.cpr) s
         join vaccination v on v.cpr = s.cpr and v.creation_time = s.max_creation_time;

create or replace view lab_result_view as
select l.cpr,
       l.trace_id,
       l.creation_time,
       l.invalidation_time,
       l.data
from (select non_expired_writes.cpr, max(non_expired_writes.creation_time) max_creation_time
      from lab_result non_expired_writes
        left join lab_result active_invalidations on
          non_expired_writes.cpr = active_invalidations.cpr and
          active_invalidations.data is null and
          active_invalidations.invalidation_time <= current_timestamp and
          active_invalidations.invalidation_time >= non_expired_writes.creation_time
      where non_expired_writes.data is not null
        and (non_expired_writes.invalidation_time > current_timestamp or non_expired_writes.invalidation_time is null)
        and active_invalidations.cpr is null
      group by non_expired_writes.cpr) s
         join lab_result l on l.cpr = s.cpr and l.creation_time = s.max_creation_time;
