-- liquibase formatted sql
-- changeset cdj@trifork.com:remove-raw-source
create or replace view vaccination_view as
select v.cpr,
       v.trace_id,
       v.creation_time,
       v.invalidation_time,
       v.data
from (select cpr, max(creation_time) max_creation_time
      from vaccination
      where data is not null
         or invalidation_time <= current_timestamp
      group by cpr) s
         join vaccination v on v.cpr = s.cpr and v.creation_time = s.max_creation_time;

alter table vaccination drop column source;

create or replace view lab_result_view as
select l.cpr,
       l.trace_id,
       l.creation_time,
       l.invalidation_time,
       l.data
from (select cpr, max(creation_time) max_creation_time
      from lab_result
      where data is not null
         or invalidation_time <= current_timestamp
      group by cpr) s
         join lab_result l on l.cpr = s.cpr and l.creation_time = s.max_creation_time;

alter table lab_result drop column source;
