/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.ddvdriver.dgws;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

import dk.sdsd.dgws._2010._08.OrgUsingID;


/**
 * <p>Java class for WhiteListingHeader complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WhiteListingHeader">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}SystemOwnerName"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}SystemName"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}SystemVersion"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}OrgResponsibleName"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}OrgUsingName" minOccurs="0"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}OrgUsingID"/>
 *         &lt;element ref="{http://www.sdsd.dk/dgws/2010/08}RequestedRole"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WhitelistingHeader", propOrder = {
    "systemOwnerName",
    "systemName",
    "systemVersion",
    "orgResponsibleName",
    "orgUsingName",
    "orgUsingID",
    "requestedRole"
})
@XmlRootElement(name = "WhitelistingHeader", namespace = "http://www.sdsd.dk/dgws/2012/06")
public class WhitelistingHeader
    implements Serializable
{

    @XmlElement(name = "SystemOwnerName", namespace = "http://www.sdsd.dk/dgws/2010/08", required = true)
    protected String systemOwnerName;
    @XmlElement(name = "SystemName", namespace = "http://www.sdsd.dk/dgws/2010/08", required = true)
    protected String systemName;
    @XmlElement(name = "SystemVersion", namespace = "http://www.sdsd.dk/dgws/2010/08", required = true)
    protected String systemVersion;
    @XmlElement(name = "OrgResponsibleName", namespace = "http://www.sdsd.dk/dgws/2010/08")
    protected String orgResponsibleName;
    @XmlElement(name = "OrgUsingName", namespace = "http://www.sdsd.dk/dgws/2010/08")
    protected String orgUsingName;
    @XmlElement(name = "OrgUsingID", namespace = "http://www.sdsd.dk/dgws/2010/08")
    protected OrgUsingID orgUsingID;
    @XmlElement(name = "RequestedRole", namespace = "http://www.sdsd.dk/dgws/2010/08", required = true)
    @XmlSchemaType(name = "anySimpleType")
    protected String requestedRole;

    /**
     * Gets the value of the systemOwnerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSystemOwnerName() {
        return systemOwnerName;
    }

    /**
     * Sets the value of the systemOwnerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSystemOwnerName(String value) {
        this.systemOwnerName = value;
    }

    /**
     * Gets the value of the systemName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSystemName() {
        return systemName;
    }

    /**
     * Sets the value of the systemName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSystemName(String value) {
        this.systemName = value;
    }

    /**
     * Gets the value of the systemVersion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSystemVersion() {
        return systemVersion;
    }

    /**
     * Sets the value of the systemVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSystemVersion(String value) {
        this.systemVersion = value;
    }

    /**
     * Gets the value of the orgResponsibleName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrgResponsibleName() {
        return orgResponsibleName;
    }

    /**
     * Sets the value of the orgResponsibleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrgResponsibleName(String value) {
        this.orgResponsibleName = value;
    }

    /**
     * Gets the value of the orgUsingName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrgUsingName() {
        return orgUsingName;
    }

    /**
     * Sets the value of the orgUsingName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrgUsingName(String value) {
        this.orgUsingName = value;
    }

    /**
     * Gets the value of the orgUsingID property.
     * 
     * @return
     *     possible object is
     *     {@link OrgUsingID }
     *     
     */
    public OrgUsingID getOrgUsingID() {
        return orgUsingID;
    }

    /**
     * Sets the value of the orgUsingID property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrgUsingID }
     *     
     */
    public void setOrgUsingID(OrgUsingID value) {
        this.orgUsingID = value;
    }

    /**
     * Gets the value of the requestedRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestedRole() {
        return requestedRole;
    }

    /**
     * Sets the value of the requestedRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestedRole(String value) {
        this.requestedRole = value;
    }

}
