/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.kids.dao;

import dk.sundhedsdatastyrelsen.fluent.spring.jdbc.SearchMapper;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static dk.sundhedsdatastyrelsen.cbs.kids.dao.KidsLabResult.*;
import static dk.sundhedsdatastyrelsen.cbs.kids.dao.KidsLabResultImpl.CPR_COLUMN_LABEL;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;

class KidsMappersTest {

    @Test
    @DisplayName("Validate correct table meta data and search column")
    void mapper() {
        final SearchMapper<KidsLabResultImpl, String> mapper = KidsMappers.mapper();
        assertNotNull(mapper);
        assertEquals(CPR_COLUMN_LABEL, mapper.searchColumnLabel());
        assertEquals(CATALOG_NAME , mapper.selectTableMetaData().catalogName());
        assertEquals(SCHEMA_NAME , mapper.selectTableMetaData().schemaName());
        assertEquals(SELECT_TABLE_NAME , mapper.selectTableMetaData().tableName());
    }

}
